﻿Imports System.Net.Mail

Public Class SendEmail
    Private Sub btnCancel_Click(sender As Object, e As EventArgs) Handles btnCancel.Click
        Me.Close()
    End Sub

    Private Sub btnSend_Click(sender As Object, e As EventArgs) Handles btnSend.Click
        Dim objMessage As MailMessage = New MailMessage()
        Dim objSmtpServer As New SmtpClient()

        If txtTo.Text = "" Then
            MessageBox.Show("A recipient's email address is required to send an email.",
                            "Picture Viewer", MessageBoxButtons.OK, MessageBoxIcon.Information)
            Exit Sub
        End If

        If txtSubject.Text = "" Then
            MessageBox.Show("A subject is required to send an email.",
                            "Picture Viewer", MessageBoxButtons.OK, MessageBoxIcon.Information)
            Exit Sub
        End If

        With objMessage
            .From = New MailAddress("youraddres@yourserver.com", "Your Name")
            .To.Add(New MailAddress(txtTo.Text))
            .Subject = txtSubject.Text

            .Body = txtMessage.Text

            ' Create the attachment and add to the email
            Dim objAttachment As Attachment = New Attachment(ViewerForm.ofdSelectPicture.FileName)
            .Attachments.Add(objAttachment)

            ' Send the email message
            objSmtpServer.Credentials = New Net.NetworkCredential("youraddress@gmail.com", "yourgmailpassword")
            objSmtpServer.Port = 587
            objSmtpServer.EnableSsl = True
            objSmtpServer.Host = "smtp.gmail.com"

            objSmtpServer.Send(objMessage)
        End With

        objMessage.Dispose()
        objSmtpServer.Dispose()

        MessageBox.Show("The message has been sent!", "Picture Viewer", MessageBoxButtons.OK, MessageBoxIcon.Information)

    End Sub
End Class