﻿Public Class MainForm

    Private m_objGraphics As Graphics

    Private Sub MainForm_FormClosed(sender As Object, e As FormClosedEventArgs) Handles Me.FormClosed
        m_objGraphics.Dispose()
    End Sub

    Private Sub MainForm_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        m_objGraphics = Me.CreateGraphics
    End Sub

    Private Sub MainForm_MouseDown(sender As Object, e As MouseEventArgs) Handles Me.MouseDown
        m_objGraphics.Clear(SystemColors.Control)

    End Sub

    Private Sub MainForm_MouseMove(sender As Object, e As MouseEventArgs) Handles Me.MouseMove
        Dim rectEllipse As Rectangle

        If e.Button <> Windows.Forms.MouseButtons.Left Then Exit Sub

        With rectEllipse
            .X = e.X - 1
            .Y = e.Y - 1
            .Width = 2
            .Height = 2
        End With

        m_objGraphics.DrawEllipse(System.Drawing.Pens.Blue, rectEllipse)

    End Sub
End Class
